# $EPIC: realpath,v 1.3 2001/06/22 17:44:04 jnelson Exp $
Synopsis:
   $realpath(<filepath>)

Technical:
   * If the <filepath> argument is omitted the empty string is returned.
   * If the operating system does not have the realpath(3) function call,
     the <filepath> argument is returned.
   * All directories, if any, in <filepath> must exist; if any of them
     do not exist the empty string is returned.
   * The return function is the full absolute path of <filepath> with all
     symbolic links, `.', `..' and extra '/'s references resolved.
   * This function calls the operating system's realpath(3) function.

Practical:
   Useful if you want to find the absolute path of filename with '.' or
   '..' or symbolic links in it.

Returns:
   The absolute path equivalent of <filepath>

Examples:
   If /home is a symbolic link to /usr/home, and /usr/local is a link
   to /local, then
	   $realpath(/home/../local/src)	returns "/local/src"
		(/home		-> /usr/home
		 ..		-> /usr
		 local		-> /local
		 src		-> /local/src)

